WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Google Drive Embedder

Browse for Google Drive documents and embed directly in your posts/pages. Extends Google Apps Login plugin so no extra user auth required.

Shortcodes

Attribute options for [google-drive-embed ...] shortcode

Important: please note that you cannot normally switch the style attributes around while keeping the url the same. Most often, Google will require a different URL for the new link type, which can be obtained by opening the Drive Embedder dialog box again.

url (required)

The url pointing to the Drive file or resource. Note that most Google Drive files will required a different URL depending on the style and other factors below.

style (defaults to 'normal')

Values: normal | download | embed

newwindow (defaults to 'no')

Values: yes | no

Only relevant when style='normal'

width/height

Dimensions of the iframe to be ebedded. Only relevant when style='embed'. Specified in pixels or as a percentage, e.g. '400' or '100%'.

plain (defaults to 'no')

Values: yes | no

When set to 'yes', will NOT display the icon specified in "icon" below. Only relevant when style='normal' or 'download'.

icon

URL to an icon file to display next to the link. Only relevant when style='normal' or 'download'; and when plain not set to "yes".

extra

Values: folder | image | calendar

Used by the premium plugin only for these special file types.

title

Text to display within the link to a 'normal' or 'download' file.

CSS

You can use custom CSS styles to affect some of the final results.

Example html code for style='download' or 'normal':

<p><span class="gdm-drivefile-embed"><img src="$icon" width="16" height="16" /> <a href="$url">$title</a></span></p>

Example html code for style='download' or 'normal', when plain='yes':

<a href="$url">$title</a>

Example html code for style='embed':

<iframe width='$width' height='$height' frameborder='0' scrolling='no' src='$url'></iframe>

Please get in touch if you would like to make suggestions for further CSS configurability - email contact@wp-glogin.com.

Requires: 3.3 or higher
Compatible up to: 4.0
Last Updated: 2014-8-26
Downloads: 10,849

Ratings

5 stars
5 out of 5 stars

Support

6 of 6 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1
100,1,1
100,1,1
100,1,1